use <MCAD/shapes.scad>

use_hexagon = 1;

scale([35,35,20]) union() {
 translate([0,0,0.05]) union () {
   translate([0,0.707,0]) scale([2,-2,1]) rotate([0,0,42]) translate([-0.4,-0.5,0]) linear_extrude(file = "outline.dxf", height = 0.2, center = true, convexity = 1);

  if (use_hexagon < 1) {
   translate([-1.15, -1.07, 0]) scale([0.57,0.57,1])  linear_extrude(file = "island_outline.dxf", height = 0.2, center = true, convexity = 1);
  } else {
     difference() {
       translate([0.2,0.35,0]) scale([2.6,2.6,1]) rotate([0,0,30]) hexagon(1,0.2);
       translate([0.2,0.35,0]) scale([2.5,2.5,1]) rotate([0,0,30]) hexagon(1,0.3);
     }
   }
 }

if (use_hexagon < 1) {
  translate([-1.15, -1.07, 0]) scale([0.57,0.57,1]) linear_extrude(height = 0.1, convexity = 10, center = true) import_dxf(file="island.dxf");
} else {
  translate([0.2,0.35,0]) scale([2.5,2.5,1]) rotate([0,0,30]) hexagon(1,0.1);
}


}
